#
# test04.rb
#
# $Id: test04.rb,v 1.1 2000/11/22 14:36:00 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


NP = 14

#-- data ---
ctr = ['cyl','mer','mwd','hmr','ek6','ktd','con',
       'coa','coc','bon','otg','pst','azm','aza']
fct = NArray[0.12, 0.12, 0.14, 0.14, 0.14, 0.14, 0.11,
               0.16, 0.12, 0.12, 0.40, 0.12, 0.12, 0.17]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sgrset('STLAT1', 45.0)
sgrset('STLAT2', 30.0)

for i in 0..NP-1
  sgfrm
  sgssim(fct[i], 0.0, 0.0)
  sgsmpl(0.0, 90.0, 0.0)
  sgsvpt(0.1, 0.9, 0.1, 0.9)

  if (ctr[i] == 'otg')
    sgstxy(-180.0, 180.0, 0.0, 90.0)
  else
    sgstxy(-180.0, 180.0, -90.0, 90.0)
  end
  sgstrn(isgtrc(ctr[i]))
  sgstrf

  sglset('LCLIP', true)
  slpwwr(1)
  slpvpr(1)
  cttl = sgtrnl(isgtrc(ctr[i]))
  sgtxzr(0.5, 0.95, cttl, 0.03, 0, 0, 3)

  umpmap('coast_world')
  umpglb
end

sgcls

