# $Id: extconf.rb,v 1.1 2000/11/28 04:50:39 keiko Exp $
# $Id: extconf.rb,v 1.2 2001/08/27 16:32:39 kawanabe Exp $

require "mkmf"

dcllibname = "cdcl52"
f2clibname = "f2c4dcl"
xlibname = "X11"

if(xsystem("which cdclconfig"))
  cflags = `cdclconfig --cflags`.gsub("\n", " ")
  ldflags = `cdclconfig --ldflags`.gsub("\n", " ")
  ldlibs = `cdclconfig --ldlibs`.gsub(/-R.*?\s/, " ").gsub("\n", " ")
 
  $CFLAGS += cflags  
  $LOCAL_LIBS += ldflags
  $LOCAL_LIBS += ldlibs
else
  dcllibname = "cdcl52"
  f2clibname = "f2c4dcl"
  xlibname = "X11"
  dcllibdir = "-L/usr/local/lib"
  f2clibdir = "-L/usr/local/lib"
  xlibdir = "-L/usr/local/X11R6/lib"
  f2cincdir = "-I/usr/local/include"
  $CFLAGS += f2cincdir
  if(dcllibdir != f2clibdir)
    libdir = " "+dcllibdir
  else
    libdir = " "+dcllibdir+" "+f2clibdir
  end
  $LOCAL_LIBS += " "+libdir+" "+xlibdir
  $LOCAL_LIBS += " -l"+dcllibname+" -l"+f2clibname+" -l"+xlibname+" -lsocket -lnsl"
end

create_makefile("dcl")

