#
# kihon1.rb
#
# $Id: kihon1.rb,v 1.1 2000/11/21 03:15:38 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NMAX = 50

x  = NumArray.new(Float, NMAX+1)
y1 = NumArray.new(Float, NMAX+1)
y2 = NumArray.new(Float, NMAX+1)
y3 = NumArray.new(Float, NMAX+1)

#-- data ----
x.span(0.0, 1.0/NMAX)
y1 = x**3
y2 = x**2
y3 = x.sqrt

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws
sgfrm

slpvpr(1)

sgplv(NMAX+1, x, y1)
sgpmv(NMAX+1, x, y2)
sgtxv(0.5, 0.5, 'SGTXV')
sglset('LSOFTF', true)
sgtnv(NMAX+1, x, y3)

sgcls

